## mingw-w64-qt6-3d-6.6.2-1.src.tar.zst

=== tests/auto/animation/additiveclipblend/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from additiveclipblend.pro.

#####################################################################
## tst_additiveclipblend Test:
#####################################################################

qt_internal_add_test(tst_additiveclipblend
    SOURCES
        tst_additiveclipblend.cpp
    LIBRARIES
        Qt::3DAnimation
        Qt::3DAnimationPrivate
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::CorePrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:additiveclipblend.pro:<TRUE>:
# TEMPLATE = "app"

## Scopes:
#####################################################################

include(../../core/common/common.cmake)
qt3d_setup_common_test(tst_additiveclipblend)
