=== tests/auto/animation/qabstractanimation/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qabstractanimation.pro.

#####################################################################
## tst_qabstractanimation Test:
#####################################################################


# special case begin
qt_internal_add_test(tst_qt3d_qabstractanimation
# special case end
    SOURCES
        tst_qabstractanimation.cpp
    LIBRARIES
        Qt::3DAnimation
        Qt::3DAnimationPrivate
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::3DRender
        Qt::3DRenderPrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:qabstractanimation.pro:<TRUE>:
# TEMPLATE = "app"
